El modelo Django no se guarda al llamar a save ()

Así que estoy tratando de guardar un modelo Django, y por alguna razón solo estoy recibiendo un error interno de 500 servidores. la cosa es,

Si comento social_auth.save (), funciona y puedo manipular el objeto, pero no guardarlo.

¿Por qué está pasando esto? Estoy usando django tastypie y estoy tratando de guardar una instancia de django-social-auth.

def obj_create(self, bundle, request=None, **kwargs): try: #this is not supposed to upgrade password bundle = super(UserResource, self).obj_create(bundle) bundle.obj.save() if bundle.data.get('extra_data') != None: print bundle.data.get('extra_data') fb_id = bundle.data.get('extra_data')['id'] #social_auth=UserSocialAuth(user_id = bundle.obj, provider=bundle.data.get('provider'),uid=fb_id,extra_data=bundle.data.get('extra_data') ) social_auth=UserSocialAuth() social_auth.user_id = bundle.obj social_auth.provider=bundle.data.get('provider') social_auth.uid=fb_id social_auth.extra_data=bundle.data.get('extra_data') print "social: ",social_auth.extra_data social_auth.save() except IntegrityError: raise BadRequest('Username already exists') return bundle 

rastrear:

 Traceback (most recent call last): File "temp_3.py", line 23, in  post() File "temp_3.py", line 18, in post f = urllib2.urlopen(req) File "/usr/lib/python2.7/urllib2.py", line 126, in urlopen return _opener.open(url, data, timeout) File "/usr/lib/python2.7/urllib2.py", line 406, in open response = meth(req, response) File "/usr/lib/python2.7/urllib2.py", line 519, in http_response 'http', request, response, code, msg, hdrs) File "/usr/lib/python2.7/urllib2.py", line 444, in error return self._call_chain(*args) File "/usr/lib/python2.7/urllib2.py", line 378, in _call_chain result = func(*args) File "/usr/lib/python2.7/urllib2.py", line 527, in http_error_default raise HTTPError(req.get_full_url(), code, msg, hdrs, fp) urllib2.HTTPError: HTTP Error 500: INTERNAL SERVER ERROR 

Si bundle.obj es de tipo User , social_auth.user_id = bundle.obj es incorrecto y debería ser social_auth.user = bundle.obj

También asegúrate de no estar en este caso:

django-social-auth HTTP 500